# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wda_lib/version'

Gem::Specification.new do |s|
  s.name        = 'wda_lib'
  s.version     = WDA::VERSION
  s.authors     = ["MIN Yi"]
  s.email       = 'yi@zen.ly'

  s.summary     = "A simple ruby lib of binding methods for WebDriverAgent"
  s.description = "A simple ruby lib of binding methods for WebDriverAgent"
  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir        = "exe"
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ["lib"]
  s.homepage    =
    'https://github.com/znly/wda'
  s.license       = 'Apache-2.0'

  s.add_development_dependency "rake", "~> 10.0"
  s.add_development_dependency "rspec", "~> 3.5"
  s.add_dependency "bundler", "~> 1.12"
  s.add_dependency "httparty", "~> 0.14"
  s.add_dependency "selenium-webdriver", "~> 3.0"
end
